Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Linie zwischne zwei Punkten brechen und Element auf nenen Layer

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Linie zwischne zwei Punkten brechen und Element auf nenen Layer (1040 mal gelesen)
gerhard123
Mitglied
techn.Angestellter


Sehen Sie sich das Profil von gerhard123 an!   Senden Sie eine Private Message an gerhard123  Schreiben Sie einen Gästebucheintrag für gerhard123

Beiträge: 151
Registriert: 29.11.2007

erstellt am: 08. Feb. 2012 09:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen

ich hab ein Programm hgeschriben das bisher (bis Autocad2005) immer fehlerfrei gelaufen ist.
Ab 2012 habe ich aber das Problem, dass das Programm teilweise schon beim aufbrechen der Geometrie
hängen bleibt.

Vielleicht kann mir ja jamend von euch weiterhelfen woran es liegen kann.

Code:

(setq old_osmode (getvar "osmode"))
(setvar "osmode" 512)
(setq pt1 (getpoint "\nObjekt wählen! "))
(setvar "osmode" 32)
(setq pt2 (getpoint "\n1. Schnittpunkt wählen!"))
(setq pt3 (getpoint "\n2. Schnittpunkt wählen!"))
(setvar "osmode" 0)
(command "_break" pt1 "e" pt2 pt2)
(command "_chprop" pt1 "" "la" lin_layer  "lty" "vonlayer" "f" "vonlayer" "" "")
(setvar "osmode" old_osmode)


Vorab schon mal Danke für eure Hilfe
Gerhard

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 08. Feb. 2012 14:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gerhard123 10 Unities + Antwort hilfreich

Hallo Gerhard,
ohne jetzt auf die Details einzugehen versuch mal das:
Code:
(setq old_osmode (getvar "osmode"))
;(setvar "osmode" 512) ;unnötig bei entsel
(setq pt1 (entsel "\nObjekt wählen! "))
(setvar "osmode" 32)
(setq pt2 (getpoint "\n1. Schnittpunkt wählen!"))
(setq pt3 (getpoint "\n2. Schnittpunkt wählen!"));wozu dieser Punkt? wird nicht verwendet
(setvar "osmode" 0)
(command "_break" pt1 "_F" pt2 "@")
(command "_chprop" (car pt1) "" "_properties" "_layer" lin_layer "_ltype" "_bylayer" "_color" "_bylayer" "")
(setvar "osmode" old_osmode)

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Werner-Maahs.de
Mitglied
CAD-Dozent + Konstrukteur + Autor


Sehen Sie sich das Profil von Werner-Maahs.de an!   Senden Sie eine Private Message an Werner-Maahs.de  Schreiben Sie einen Gästebucheintrag für Werner-Maahs.de

Beiträge: 626
Registriert: 04.05.2005

Win XP
AC 2005/6
Manchmal AC 2011

erstellt am: 09. Feb. 2012 01:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gerhard123 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von gerhard123:
...
(command "_break" pt1 "e" pt2 pt2)
...

Ändere den letzten Punkt 'pt2' in 'pt3', dann sollte es klappen.

Zitat:
Original erstellt von gerhard123:
...
(command "_chprop" pt1 "" "la" lin_layer  "lty" "vonlayer" "f" "vonlayer" "" "")
...

Die Variable 'lin_layer' wurde vermutlich an einer anderen Stelle definiert!?

------------------
strukturiertes Zeichnen mit Werner-Maahs

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gerhard123
Mitglied
techn.Angestellter


Sehen Sie sich das Profil von gerhard123 an!   Senden Sie eine Private Message an gerhard123  Schreiben Sie einen Gästebucheintrag für gerhard123

Beiträge: 151
Registriert: 29.11.2007

erstellt am: 10. Feb. 2012 11:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Werner,,

vorab mal Danke, werde es am Montag testen

Lg.
Gerhard

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz